package org.yaoqiang.bpmn.model.elements.bpmndi;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * Waypoints
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Waypoints extends XMLCollection {

	private static final long serialVersionUID = -1014414462511795048L;

	public Waypoints(BPMNEdge parent) {
		super(parent);
	}

	public XMLElement generateNewElement() {
		return new Waypoint(this);
	}

	public String getElementName() {
		return "waypoint";
	}
	
}
