package org.yaoqiang.bpmn.model.elements.conversations;

import org.yaoqiang.bpmn.model.elements.collaboration.Collaboration;
import org.yaoqiang.bpmn.model.elements.core.foundation.RootElements;

/**
 * GlobalConversation
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class GlobalConversation extends Collaboration {

	private static final long serialVersionUID = -1700220986977501633L;

	public GlobalConversation(RootElements parent) {
		super(parent, "globalConversation");
		super.remove("choreographyRef");
	}

	public GlobalConversation(RootElements parent, String name) {
		super(parent, name);
		super.remove("choreographyRef");
	}

}
